@import 'vars';

// based on https://github.com/melchor629/melchor9000.me/blob/master/src/app.scss#L123
@include media-breakpoint-down(sm) {
  .offcanvas-collapse {
    z-index: 1000;
    display: block !important;
    position: fixed;
    top: 55px; /* Height of navbar */
    bottom: 0;
    left: -290px;
    width: 100%;
    max-width: 290px;
    padding-right: 1rem;
    padding-left: 1rem;
    overflow-y: auto;
    visibility: hidden;
    background-color: $primary-color;
    transition-timing-function: ease-in-out;
    transition-duration: .3s;
    transition-property: left, visibility;
    box-shadow: 8px 0   38px rgba(39, 44, 49, .12),
                1px 3px 08px rgba(39, 44, 49, .06);
  }

  .offcanvas-collapse.open {
    left: 0;
    visibility: visible;
  }
}